Subject: SDP> C:/WINNT40/Profiles/Administrator/Desktop/ SDP Suggestions f

From: Carl Kugler <[email-masked]>
Date: Fri, 15 May 1998 15:46:45 -0400

On Thu, 14 May 1998 14:04:02 -0700
Robert Herriot ([email-masked]) wrote:
>
>...
>> > b) if a connection fails, there is no way to know if it because the printer
>> > is down or just busy.
>>
>>Socket implementations typically provide for a "backlog".
>> The following program fragment illustrates the use of the listen subroutine
>> with 5 as the maximum number of outstanding connections which may
>> be queued awaiting acceptance by the server process.
>>
>> listen(s,5)
>Yes, and clients end up timing out when this listen queue is full. But
'listen' is
>for TCP, and I am proposing a UDP solution for the printer status so that
>there is the least amount of overhead for the printer.
>

There is no such thing as a "connection" in UDP.  I thought the
premise here was that one of Paul Moore's main problems that IPP
doesn't currently solve is that "if a connection fails, there is no
way to know if a it['s] because the printer is down or just busy".
My point is that with proper design, the connection should not
fail just because the printer is busy, unless it's so busy that
it might as well be considered down (i.e, in steady state, requests
are arriving at a rate faster than they can be satisfied).

 -Carl

 http://www.pwg.org/hypermail/sdp/0054.html